package com.ssj.bean.weixin.story.bean;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ssj.bean.common.framework.core.domain.BaseEntity;


/** 
 * @author  ZhangCaibao 
 * @version 2017年8月7日 下午5:23:17 
 * 类说明 
 */
@Entity
@Table(name = "tb_story_card_praise")
public class StoryCardPraise extends BaseEntity{

	/**
	 * 
	 */
	private static final long serialVersionUID = 5465928249801291748L;
	
	private String storyCardId;
	private String userId;
	/**
	 * 1赞
	 */
	private Integer stat;
	private Date createTime;//创建时间
	
	
	public String getStoryCardId() {
		return storyCardId;
	}
	public void setStoryCardId(String storyCardId) {
		this.storyCardId = storyCardId;
	}
	public String getUserId() {
		return userId;
	}
	public void setUserId(String userId) {
		this.userId = userId;
	}
	public Integer getStat() {
		return stat;
	}
	public void setStat(Integer stat) {
		this.stat = stat;
	}
	@Column(updatable =false)
	public Date getCreateTime() {
		return createTime;
	}
	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}
	

}
